clear duration;
clear numParts;

nImages = length(IdIm);
for i=1:nImages
    idIm = IdIm{i};
    fprintf(sprintf('--- processing %s ---\n',idIm));
    outRelDir = sprintf('detect/%s',idIm);
    if ~exist(outRelDir,'dir')
        mkdir(outRelDir);
    end    
    tInfer=tic;
        parts = detectOneImage(idIm,params);
    duration(i).one=toc(tInfer);
    numParts(i).one=sum(parts.scores>.6);
    numParts(i).two=sum(parts.scores>.8);
end

fprintf('--- run completed ---\n');
one = [duration.one];
fprintf('duration: #ims=%d  sum=%0.4f  mean=%0.4f  std=%0.4f\n', length(one), sum(one), mean(one), std(one));
one = [numParts.one];
fprintf('num parts @0.6: #ims=%d  sum=%d  mean=%0.4f  std=%0.4f\n', length(one), sum(one), mean(one), std(one));
one = [numParts.two];
fprintf('num parts @0.8: #ims=%d  sum=%d  mean=%0.4f  std=%0.4f\n', length(one), sum(one), mean(one), std(one));
