function ImVis = displayParts(im,graph,parts)

    numPartsToShow = min(20,length(parts.scores));

    data.graph = graph;
    data.parts = parts;
    data.Ipart = 1:numPartsToShow;
    ImVis.cellData{1,1} = data;
    
    for i=1:numPartsToShow
        data.graph = graph;
        data.parts = parts;
        data.Ipart = i;
        ImVis.cellData{i+1,1} = data;
    end    
    
    ImVis.funFigVis = @(iFig,data) targetExamplesPlotParts(iFig,im, data.graph, data.parts,[],[],data.Ipart,1);
    

end


% 
% function imVis = opaque(im, graph, parts)
% 
% sz = size(im);
% 
%     colours=jet(101);
%     figure(102);    
%     imPlot = im;
%     for i=1:length(parts.scores)
%         bwPart = logical(parts.imRegions(:,:,i));
%         s = parts.scores(i);
%         imPlot=tlMaskOnIm(imPlot,bwPart,colours(floor(100*s)+1,:));
%         imPlot=tlMaskOnIm(imPlot,bwmorph(seg2bmap(bwPart),'dilate',4),.5);
%     end
%     imPlot=tlMaskOnIm(imPlot,bwmorph(seg2bmap(graph.imSeg),'dilate',0),1);
%     imshow(imPlot);
%     axis equal off;
% imVis = export_fig(102);
% end
% 
% 
% 
% 
% function imVis = translucent(im, graph, parts)
% sz = size(im);
% 
%     colours=jet(101);
% 
% figure(102);
% nRegion = length(parts.scores);
% Icolor = ceil((size(colours,1)-1)/nRegion*(1:nRegion));
% Icolor = Icolor(randperm(length(Icolor)));
% imPlot = im;
% imPlot = tlMaskOnIm(imPlot,seg2bmap(graph.imSeg),[1 0 0]);
% 
% for  iRegion=nRegion:-1:1
% 
%     seg2 = zeros(sz(1:2));        
%     Ivert = parts.Iverts{iRegion};        
%     for z = 1:length(Ivert)            
%         II = graph.iVert2Iseg(Ivert(z));            
%         seg2(ismember(graph.imSeg,II)) = min(II);
%     end        
%     mask = bwmorph(seg2bmap(seg2),'dilate',3);
% 
%     bwPart = logical(parts.imRegions(:,:,iRegion));        
%     mask(~bwPart)=0;
%     imPlot=tlMaskOnIm(imPlot,mask,colours(Icolor(iRegion),:));
% end
% imPlot=tlMaskOnIm(imPlot,bwmorph(seg2bmap(graph.imSeg),'dilate',0),1);
% imshow(imPlot);
% axis equal off;
% for iRegion=nRegion:-1:1
%     Isup = parts.Iverts{iRegion};
% 
%     [Ivert1, Ivert2] = find(tril(graph.adjmat(Isup,Isup), -1));  % MPH adjacency
% 
%     for z = 1:length(Ivert1)
% 
%         % MPH edge
%         i1=Isup(Ivert1(z));
%         i2=Isup(Ivert2(z));
% 
%         % superpixel index
%         [R C] = find(ismember(graph.imSeg,graph.iVert2Iseg(i1)));
%         P1 = mean([C R],1);            
% 
%         % superpixel index
%         [R C] = find(ismember(graph.imSeg,graph.iVert2Iseg(i2)));
%         P2 = mean([C R],1);  
% 
%         colour=colours(Icolor(iRegion),:);
% %         colour=[0 1 0];
%         line([P1(1) P2(1)], [P1(2) P2(2)], 'Color', colour, 'LineWidth', 2);
%         
% %         colour=colours(Icolor(iRegion),:);
% %         
% %         RP = graph.EdgeRP(i1,i2);
% %         CR_p1 = RP.CR_o + RP.a*[cos(RP.Theta) sin(RP.Theta)];
% %         CR_p2 = RP.CR_o - RP.a*[cos(RP.Theta) sin(RP.Theta)];
% %         line([CR_p1(1) CR_p2(1)], [CR_p1(2) CR_p2(2)], 'Color', colour, 'LineWidth', 1);
%     end
% end
% 
% 
% imVis = export_fig(102);
% 
% end
