function tlWriteVisArray(cellData,funVis,relName,ext,multiplicity)

[dir,id,id2]=fileparts(relName);
if isempty(dir)
    dir='.';
end
if ~isempty(id2)
    id = [id id2];
    clear id2;
end

for i=1:numel(cellData)

    [r,c] = ind2sub(size(cellData),i);

    imVis = funVis(cellData{r,c});

    switch multiplicity
    case 'single'
        idVis = sprintf('%s/%s__%03d-%02d.%s', dir,id,r,c,ext);
    case 'multi'
        if ~exist(sprintf('%s/%s',dir,id),'dir')
            mkdir(sprintf('%s/%s',dir,id));
        end
        idVis = sprintf('%s/%s/%s__%03d-%02d.%s', dir,id,id,r,c,ext);
    end

    imwrite(imVis,idVis);
    
end

if numel(cellData)>0
    switch multiplicity
    case 'single'
    case 'multi'
        system(sprintf('convert "%s/%s/*" "%s/%s.pdf"', dir,id,dir,id));
        if c>1
    %         system(sprintf('pdfnup --nup %dx%d %s/%s.pdf', c,r,dir,id));
            system(sprintf('pdfnup --nup %dx%d "%s/%s.pdf"', c,1,dir,id));
            system(sprintf('rm "%s/%s.pdf"', dir,id));
        end
        system(sprintf('rm -r "%s/%s"', dir,id));
    end
end

end
